org.appng.appngizer.model.xml

## Class Property

- java.lang.Object
- - org.appng.appngizer.model.xml.Linkable
  - - org.appng.appngizer.model.xml.Nameable
    - - org.appng.appngizer.model.xml.Property

- Direct Known Subclasses:
    Property

      public class Property
      extends Nameable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <extension base="{http://www.appng.org/schema/appngizer}nameable">
             <sequence>
               <element name="value" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="defaultValue" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
             <attribute name="clob" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="status-code" type="{http://www.w3.org/2001/XMLSchema}int" />
             <attribute name="status-message" type="{http://www.w3.org/2001/XMLSchema}string" />
           </extension>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Boolean` | `clob`
    `protected String` | `defaultValue`
    `protected String` | `description`
    `protected Integer` | `statusCode`
    `protected String` | `statusMessage`
    `protected String` | `value`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Nameable

      `name`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Linkable

      `links, self`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Property()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefaultValue()` Gets the value of the defaultValue property.
    `String` | `getDescription()` Gets the value of the description property.
    `Integer` | `getStatusCode()` Gets the value of the statusCode property.
    `String` | `getStatusMessage()` Gets the value of the statusMessage property.
    `String` | `getValue()` Gets the value of the value property.
    `Boolean` | `isClob()` Gets the value of the clob property.
    `void` | `setClob(Boolean value)` Sets the value of the clob property.
    `void` | `setDefaultValue(String value)` Sets the value of the defaultValue property.
    `void` | `setDescription(String value)` Sets the value of the description property.
    `void` | `setStatusCode(Integer value)` Sets the value of the statusCode property.
    `void` | `setStatusMessage(String value)` Sets the value of the statusMessage property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class org.appng.appngizer.model.xml.Nameable

      `getName, setName`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Linkable

      `getLinks, getSelf, setLinks, setSelf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          protected String value

    - #### defaultValue

          protected String defaultValue

    - #### description

          protected String description

    - #### clob

          protected Boolean clob

    - #### statusCode

          protected Integer statusCode

    - #### statusMessage

          protected String statusMessage

  - ### Constructor Detail

    - #### Property

          public Property()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDefaultValue

          public String getDefaultValue()

      Gets the value of the defaultValue property.
      Returns:
        possible object is `String`

    - #### setDefaultValue

          public void setDefaultValue(String value)

      Sets the value of the defaultValue property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescription

          public String getDescription()

      Gets the value of the description property.
      Returns:
        possible object is `String`

    - #### setDescription

          public void setDescription(String value)

      Sets the value of the description property.
      Parameters:
        `value` - allowed object is `String`

    - #### isClob

          public Boolean isClob()

      Gets the value of the clob property.
      Returns:
        possible object is `Boolean`

    - #### setClob

          public void setClob(Boolean value)

      Sets the value of the clob property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getStatusCode

          public Integer getStatusCode()

      Gets the value of the statusCode property.
      Returns:
        possible object is `Integer`

    - #### setStatusCode

          public void setStatusCode(Integer value)

      Sets the value of the statusCode property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getStatusMessage

          public String getStatusMessage()

      Gets the value of the statusMessage property.
      Returns:
        possible object is `String`

    - #### setStatusMessage

          public void setStatusMessage(String value)

      Sets the value of the statusMessage property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.